# class JIDIdentity | A JID identity. More...
Full name | `TelEngine::JIDIdentity`
Definition | `#include <libs/yjabber/xmpputils.h>`
Inherits | TelEngine::GenObject [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline JIDIdentity (const char* c, const char* t, const char* name = 0)
- inline JIDIdentity (XmlElement* identity)
- inline XmlElement* toXml () const
- void fromXml (XmlElement* identity)

#### Public Static Methods

- static XmlElement* createIdentity (const char* category, const char* type, const char* name)

#### Public Members

- String m_category
- String m_type
- String m_name

## Detailed Description

This class holds an identity for a JID See http://xmpp.org/registrar/disco-categories.html for identity categories and associated types

inline JIDIdentity (const char* c, const char* t, const char* name = 0) | ### JIDIdentity

Constructor. Build a JID identity

Parameters:

c | The JID's category
t | The JID's type
name | Optional identity (JID) name

inline JIDIdentity (XmlElement* identity) | ### JIDIdentity

Constructor. Build a JID identity from xml

Parameters:

identity | The identity element

inline XmlElement* toXml () | ### toXml

[const]

Build an XML element from this identity

Returns: XmlElement pointer or 0 if category or type are empty

void fromXml (XmlElement* identity) | ### fromXml

Update this identity from an XML element

Parameters:

identity | The source element

XmlElement* createIdentity (const char* category, const char* type, const char* name) | ### createIdentity

[static]

Create an 'identity' element

Parameters:

category | The 'category' attribute
type | The 'type' attribute
name | The 'name' attribute

Returns: A valid XmlElement pointer

String m_category | ### m_category

String m_type | ### m_type

String m_name | ### m_name

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.